APERTIUM-PRETRANSFER(1)

NAME
apertium-pretransfer - multiword modifier for Apertium

SYNOPSIS
apertium-pretransfer [input_file [output_file]]

DESCRIPTION
apertium-pretransfer module applies some changes to multiwords (such as moving the lemma queue of a multiword with inner inflection just after the lemma head). If the input is not a multiword, it does not affect the output.

OPTIONS

-n, - -no-surface-forms
    assume no surface forms

-e, - -compounds
    treat ~ as compound separator

-z, - -null-flush
    null-flushing output on

-h, - -help
    Display this help.

EXAMPLES
You could write the following to show how the expression “trobant-lo a faltar” is analysed:

    echo "trobant-lo a faltar" | apertium-destxt | lt-proc ca-es.automorf.bin \
        |./ca-es.tagger --tagger ca-es | apertium-pretransfer

SEE ALSO
apertium(1), apertium-destxt(1), apertium-transfer(1), lt-proc(1)

COPYRIGHT
Copyright © 2005, 2006 Universitat d'Alacant / Universidad de Alicante. This is free software. You may redistribute copies of it under the terms of the GNU General Public License: https://www.gnu.org/licenses/gpl.html.

BUGS
Many... lurking in the dark and waiting for you!